<?php
/**
 * Music Freak Pro: Color Patterns
 *
 * @package WordPress
 * @subpackage Music Freak Pro
 * @since 1.0
 */

/**
 * Generate the CSS for the current custom color scheme.
 */
function music_freak_pro_custom_colors_css() {
  	$options= music_freak_pro_get_theme_options();

	$color_value = $options['colorscheme_hue'];
	
	$css = '
	.backtotop,
	#respond input[type="submit"]:hover,
	#respond input[type="submit"]:focus,
	.pagination .page-numbers.current,
	.archive-blog-wrapper .post-categories a:hover,
	.archive-blog-wrapper .post-categories a:focus,
	.single .post-categories a:hover,
	.single .post-categories a:focus,
	.single .posted-on a,
	.pagination .page-numbers.current, 
	.pagination .page-numbers:hover, 
	.pagination .page-numbers:focus,
	.dark-version .btn,
	.dark-version #about-us .btn, 
	.dark-version #featured-post .btn,
	.dark-version .archive-blog-wrapper .post-categories a, 
	.dark-version.single .post-categories a,
	.dark-version #call-to-action .read-more .btn,
	.dark-version .buttons .btn,
	.dark-version .reply a:hover,
	.dark-version .reply a:focus,
	.dark-version.single .posted-on a,
	.dark-version #respond input[type="submit"],
	.dark-version .backtotop,
	.dark-version .wp-playlist-tracks .wp-playlist-item.wp-playlist-playing, 
	.dark-version .wp-playlist-tracks .wp-playlist-item:hover,
	.dark-version .wp-playlist .mejs-inner .mejs-controls .mejs-horizontal-volume-slider .mejs-horizontal-volume-current,
	.dark-version .wp-playlist .mejs-inner .mejs-controls .mejs-horizontal-volume-slider .mejs-horizontal-volume-current:after,
	.dark-version input[type="submit"],
	.dark-version .albums-wrapper .mejs-inner .mejs-controls .mejs-horizontal-volume-slider .mejs-horizontal-volume-current,
	.dark-version .albums-wrapper .mejs-inner .mejs-controls .mejs-time-rail .mejs-time-current,
	.dark-version .albums-wrapper .mejs-inner .mejs-controls .mejs-horizontal-volume-slider .mejs-horizontal-volume-current:after,
	.dark-version #featured-slider-section .btn,
	.second-design #featured-services .icon i {
	    background-color: ' . esc_attr($color_value) . ';
	}
	a:hover,
	a:focus,
	a:active,
	.site-title a:hover,
	.site-title a:focus
	.main-navigation ul#primary-menu li.current-menu-item > a,
	.main-navigation ul#primary-menu li:hover > a,
	.main-navigation a:hover,
	.main-navigation ul.nav-menu > li > a:hover,
	.buttons .btn:first-child,
	.buttons .btn:hover,
	.buttons .btn:focus,
	#about-us .btn:hover,
	#about-us .btn:focus,
	#featured-post .btn:hover,
	#featured-post .btn:focus,
	.album-item-wrapper .entry-meta a:hover,
	.album-item-wrapper .entry-meta a:focus,
	.archive-blog-wrapper .posted-on a:hover, 
	.archive-blog-wrapper .posted-on a:focus,
	.blog-posts-wrapper .posted-on a:hover,
	.blog-posts-wrapper .posted-on a:focus,
	.author.vcard a:hover,
	.author.vcard a:focus,
	#call-to-action .read-more .btn:hover,
	#call-to-action .read-more .btn:focus,
	#call-to-action .read-more .btn:hover,
	#call-to-action .read-more .btn:focus,
	#secondary a:hover, 
	#secondary a:focus,
	.post-navigation a:hover,
	.posts-navigation a:hover,
	.post-navigation a:focus, 
	.posts-navigation a:focus,
	.dark-version .site-title a:hover,
	.dark-version .site-title a:focus,
	.dark-version .section-title a:hover,
	.dark-version .section-title a:focus,
	.dark-version a, 
	.dark-version #featured-post .btn:hover, 
	.dark-version #featured-post .btn:focus,
	.dark-version #featured-services .icon i,
	.dark-version #featured-services .entry-title a:hover,
	.dark-version #featured-services .entry-title a:focus,
	.dark-version .author.vcard .fn:hover,
	.dark-version .archive-blog-wrapper .posted-on a:hover, 
	.dark-version .blog-posts-wrapper .posted-on a:hover,
	.dark-version .author.vcard .fn:focus,
	.dark-version .archive-blog-wrapper .posted-on a:focus, 
	.dark-version .blog-posts-wrapper .posted-on a:focus,
	.dark-version .archive-blog-wrapper .entry-title a:hover,
	.dark-version .archive-blog-wrapper .entry-title a:focus,
	.dark-version .blog-posts-wrapper .entry-title a:hover,
	.dark-version .blog-posts-wrapper .entry-title a:focus,
	.dark-version #secondary a:hover,
	.dark-version #secondary a:focus,
	.dark-version .comment-meta .url:hover,
	.dark-version .comment-meta .url:focus,
	.dark-version .comment-metadata a:hover, 
	.dark-version .comment-metadata a:focus, 
	.dark-version .comment-metadata a:hover time, 
	.dark-version .comment-metadata a:focus time,
	.dark-version .wp-playlist .mejs-button.mejs-volume-button.mejs-mute>button:before, 
	.dark-version .wp-playlist .mejs-button.mejs-volume-button.mejs-unmute>button:before, 
	.dark-version .wp-playlist .mejs-button.mejs-playpause-button.mejs-play>button:before, 
	.dark-version .wp-playlist .mejs-button.mejs-playpause-button.mejs-pause>button:before, 
	.dark-version .wp-playlist .wp-playlist-prev:before, 
	.dark-version .wp-playlist .wp-playlist-next:before,
	.dark-version #trending-albums .entry-title a:hover,
	.dark-version #trending-albums .entry-title a:focus,
	.dark-version .album-item-wrapper .entry-meta a:hover, 
	.dark-version .album-item-wrapper .entry-meta a:focus,
	.dark-version .albums-wrapper .mejs-button.mejs-volume-button.mejs-mute>button:before, 
	.dark-version .albums-wrapper .mejs-button.mejs-volume-button.mejs-unmute>button:before, 
	.dark-version .albums-wrapper .wp-playlist-prev:before, 
	.dark-version .albums-wraper .wp-playlist .wp-playlist-next:before,
	.dark-version .counter-icon .fa {
		color: ' . esc_attr($color_value) . ';
	}
	.main-navigation ul#primary-menu li:hover > svg,
	.main-navigation li.menu-item-has-children:hover > a > svg,
	.main-navigation li.menu-item-has-children > a:hover > svg,
	.main-navigation ul#primary-menu > li.current-menu-item > a > svg,
	.main-navigation ul.nav-menu > li > a.search:hover svg.icon-search,
	.main-navigation ul.nav-menu > li > a.search:focus svg.icon-search,
	.main-navigation li.search-menu a:hover svg,
	.main-navigation li.search-menu a:focus svg,
	.main-navigation li.search-menu a.search-active svg,
	.navigation.posts-navigation a:hover svg, 
	.navigation.post-navigation a:hover svg, 
	.navigation.posts-navigation a:focus svg, 
	.navigation.post-navigation a:focus svg,
	.dark-version .main-navigation ul#primary-menu li:hover > svg, 
	.dark-version .main-navigation li.menu-item-has-children:hover > a > svg, 
	.dark-version .main-navigation li > a:hover > svg, 
	.dark-version .main-navigation ul#primary-menu > li.current-menu-item > a > svg {
	    fill: ' . esc_attr($color_value) . ';
	}
	#about-us .btn:hover,
	#about-us .btn:focus,
	#featured-post .btn:hover,
	#featured-post .btn:focus,
	#call-to-action .read-more .btn:hover,
	#call-to-action .read-more .btn:focus,
	#respond input[type="submit"]:hover,
	#respond input[type="submit"]:focus,
	.dark-version .btn,
	.dark-version .reply a,
	.dark-version #respond input[type="submit"],
	.dark-version input[type="submit"],
	.dark-version #featured-slider-section .btn {
		border-color: ' . esc_attr($color_value) . ';
	}
	.buttons .btn:first-child,
	.buttons .btn:hover {
	    border-color: ' . esc_attr($color_value) . ';
	}

	.buttons .btn:first-child:after {
		border-left-color:  ' . esc_attr($color_value) . ';
	}

	@media screen and (min-width: 767px) {
	    .second-design #about-us .featured-image:before,
	    .second-design #featured-post article.has-post-thumbnail .featured-image:after {
	        border-color: ' . esc_attr($color_value) . ';
	    }
	}

	@media screen and (min-width: 1024px) {
		#masthead .main-navigation ul#primary-menu li.current-menu-item > a,
	    #masthead .main-navigation ul.nav-menu > li > a:hover,
	    .main-navigation ul#primary-menu li:hover > a,
	    .dark-version #masthead .main-navigation ul#primary-menu li.current-menu-item > a, 
	    .dark-version #masthead .main-navigation ul.nav-menu > li > a:hover, 
	    .dark-version .main-navigation ul#primary-menu > li:hover > a {
		    color: ' . esc_attr($color_value) . ';
		}
		.dark-version .main-navigation ul.sub-menu li:hover > a, 
	    .dark-version .main-navigation ul.sub-menu li:focus > a {
	        background-color: ' . esc_attr($color_value) . ';
	    }
	}';

	$css .= '
	@keyframes preloader {
	    0% {height:5px;transform:translateY(0px);background: ' . esc_attr($color_value) . ';}
	    25% {height:30px;transform:translateY(15px);background: ' . esc_attr($color_value) . ';}
	    50% {height:5px;transform:translateY(0px);background: ' . esc_attr($color_value) . ';}
	    100% {height:5px;transform:translateY(0px);background: ' . esc_attr($color_value) . ';}
	}';

	/**
	 * Filters Music Freak Pro custom colors CSS.
	 *
	 * @since Music Freak Pro 1.0.0
	 *
	 * @param string $css        Base theme colors CSS.
	 */
	return apply_filters( 'music_freak_pro_custom_colors_css', $css );
}
