<?php
/**
* Customizer validation functions
*
* @package Theme Palace
* @subpackage Music Freak Pro
* @since Music Freak Pro 1.0.0
*/

if ( ! function_exists( 'music_freak_pro_validate_long_excerpt' ) ) :
  function music_freak_pro_validate_long_excerpt( $validity, $value ){
         $value = intval( $value );
     if ( empty( $value ) || ! is_numeric( $value ) ) {
         $validity->add( 'required', esc_html__( 'You must supply a valid number.', 'music-freak-pro' ) );
     } elseif ( $value < 5 ) {
         $validity->add( 'min_no_of_words', esc_html__( 'Minimum no of words is 5', 'music-freak-pro' ) );
     } elseif ( $value > 100 ) {
         $validity->add( 'max_no_of_words', esc_html__( 'Maximum no of words is 100', 'music-freak-pro' ) );
     }
     return $validity;
  }
endif;

if ( ! function_exists( 'music_freak_pro_validate_slider_count' ) ) :
  function music_freak_pro_validate_slider_count( $validity, $value ){
         $value = intval( $value );
     if ( empty( $value ) || ! is_numeric( $value ) ) {
         $validity->add( 'required', esc_html__( 'You must supply a valid number.', 'music-freak-pro' ) );
     } elseif ( $value < 1 ) {
         $validity->add( 'min_no_of_posts', esc_html__( 'Minimum no of posts is 1', 'music-freak-pro' ) );
     } elseif ( $value > 10 ) {
         $validity->add( 'max_no_of_posts', esc_html__( 'Maximum no of posts is 10', 'music-freak-pro' ) );
     }
     return $validity;
  }
endif;

if ( ! function_exists( 'music_freak_pro_validate_service_count' ) ) :
  function music_freak_pro_validate_service_count( $validity, $value ){
         $value = intval( $value );
     if ( empty( $value ) || ! is_numeric( $value ) ) {
         $validity->add( 'required', esc_html__( 'You must supply a valid number.', 'music-freak-pro' ) );
     } elseif ( $value < 2 ) {
         $validity->add( 'min_no_of_posts', esc_html__( 'Minimum no of posts is 2', 'music-freak-pro' ) );
     } elseif ( $value > 8 ) {
         $validity->add( 'max_no_of_posts', esc_html__( 'Maximum no of posts is 8', 'music-freak-pro' ) );
     }
     return $validity;
  }
endif;

if ( ! function_exists( 'music_freak_pro_validate_testimonial_count' ) ) :
  function music_freak_pro_validate_testimonial_count( $validity, $value ){
         $value = intval( $value );
     if ( empty( $value ) || ! is_numeric( $value ) ) {
         $validity->add( 'required', esc_html__( 'You must supply a valid number.', 'music-freak-pro' ) );
     } elseif ( $value < 1 ) {
         $validity->add( 'min_no_of_posts', esc_html__( 'Minimum no of posts is 1', 'music-freak-pro' ) );
     } elseif ( $value > 10 ) {
         $validity->add( 'max_no_of_posts', esc_html__( 'Maximum no of posts is 10', 'music-freak-pro' ) );
     }
     return $validity;
  }
endif;

if ( ! function_exists( 'music_freak_pro_validate_blog_count' ) ) :
  function music_freak_pro_validate_blog_count( $validity, $value ){
         $value = intval( $value );
     if ( empty( $value ) || ! is_numeric( $value ) ) {
         $validity->add( 'required', esc_html__( 'You must supply a valid number.', 'music-freak-pro' ) );
     } elseif ( $value < 1 ) {
         $validity->add( 'min_no_of_posts', esc_html__( 'Minimum no of posts is 1', 'music-freak-pro' ) );
     } elseif ( $value > 8 ) {
         $validity->add( 'max_no_of_posts', esc_html__( 'Maximum no of posts is 8', 'music-freak-pro' ) );
     }
     return $validity;
  }
endif;
